<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_make_symmetric&lt; M &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__make__symmetric.html">op_make_symmetric</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__make__symmetric-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_make_symmetric&lt; M &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::op_make_symmetric&lt; M &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1op__make__symmetric.png" usemap="#dlib::op_5Fmake_5Fsymmetric_3C_20M_20_3E_map" alt=""/>
  <map id="dlib::op_5Fmake_5Fsymmetric_3C_20M_20_3E_map" name="dlib::op_5Fmake_5Fsymmetric_3C_20M_20_3E_map">
<area href="structdlib_1_1basic__op__m.html" alt="dlib::basic_op_m&lt; M &gt;" shape="rect" coords="0,0,186,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a616ed74f955ed3b9d3c947b7c4e6b220"><td class="memItemLeft" align="right" valign="top"><a id="a616ed74f955ed3b9d3c947b7c4e6b220"></a>
typedef M::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a616ed74f955ed3b9d3c947b7c4e6b220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8765231b9aecc2223cdd9b42e197012f"><td class="memItemLeft" align="right" valign="top"><a id="a8765231b9aecc2223cdd9b42e197012f"></a>
typedef M::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a8765231b9aecc2223cdd9b42e197012f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_structdlib_1_1basic__op__m"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structdlib_1_1basic__op__m')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structdlib_1_1basic__op__m.html">dlib::basic_op_m&lt; M &gt;</a></td></tr>
<tr class="memitem:acaf47e59de8291e1d191b41333f935a5 inherit pub_types_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="acaf47e59de8291e1d191b41333f935a5"></a>
typedef M::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:acaf47e59de8291e1d191b41333f935a5 inherit pub_types_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a531ef9581f26f1f3c4128f0a9e0da3fd inherit pub_types_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="a531ef9581f26f1f3c4128f0a9e0da3fd"></a>
typedef M::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a531ef9581f26f1f3c4128f0a9e0da3fd inherit pub_types_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9ade054fb9b95cb0e073fe6650038422"><td class="memItemLeft" align="right" valign="top"><a id="a9ade054fb9b95cb0e073fe6650038422"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_make_symmetric</b> (const M &amp;m_)</td></tr>
<tr class="separator:a9ade054fb9b95cb0e073fe6650038422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3853211f3b56066c6452fd9898a54c8c"><td class="memItemLeft" align="right" valign="top"><a id="a3853211f3b56066c6452fd9898a54c8c"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a3853211f3b56066c6452fd9898a54c8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structdlib_1_1basic__op__m"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structdlib_1_1basic__op__m')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structdlib_1_1basic__op__m.html">dlib::basic_op_m&lt; M &gt;</a></td></tr>
<tr class="memitem:a0d64f24ff15ec350f70cf75235adf46e inherit pub_methods_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="a0d64f24ff15ec350f70cf75235adf46e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>basic_op_m</b> (const M &amp;m_)</td></tr>
<tr class="separator:a0d64f24ff15ec350f70cf75235adf46e inherit pub_methods_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31683dc2376b67c89c74bf3e74317b91 inherit pub_methods_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="a31683dc2376b67c89c74bf3e74317b91"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a31683dc2376b67c89c74bf3e74317b91 inherit pub_methods_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aea353d082eae9f7d66647cabc9373d inherit pub_methods_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="a5aea353d082eae9f7d66647cabc9373d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a5aea353d082eae9f7d66647cabc9373d inherit pub_methods_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a206deaf6972a823dcf560aed8a79b18b inherit pub_methods_structdlib_1_1basic__op__m"><td class="memTemplParams" colspan="2"><a id="a206deaf6972a823dcf560aed8a79b18b"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a206deaf6972a823dcf560aed8a79b18b inherit pub_methods_structdlib_1_1basic__op__m"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a206deaf6972a823dcf560aed8a79b18b inherit pub_methods_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32f23715c59e20b370805a72cd82a0e inherit pub_methods_structdlib_1_1basic__op__m"><td class="memTemplParams" colspan="2"><a id="af32f23715c59e20b370805a72cd82a0e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:af32f23715c59e20b370805a72cd82a0e inherit pub_methods_structdlib_1_1basic__op__m"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:af32f23715c59e20b370805a72cd82a0e inherit pub_methods_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ab4c3b95a9882cea5fb609a70709434b0"><td class="memItemLeft" align="right" valign="top"><a id="ab4c3b95a9882cea5fb609a70709434b0"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M::cost+1</td></tr>
<tr class="separator:ab4c3b95a9882cea5fb609a70709434b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_structdlib_1_1basic__op__m"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_structdlib_1_1basic__op__m')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="structdlib_1_1basic__op__m.html">dlib::basic_op_m&lt; M &gt;</a></td></tr>
<tr class="memitem:a60a707d35ff93f2a897e404f9e10a198 inherit pub_static_attribs_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="a60a707d35ff93f2a897e404f9e10a198"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = M::NR</td></tr>
<tr class="separator:a60a707d35ff93f2a897e404f9e10a198 inherit pub_static_attribs_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5409f0900d8c8d5bcb5450cff8eb49c6 inherit pub_static_attribs_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="a5409f0900d8c8d5bcb5450cff8eb49c6"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = M::NC</td></tr>
<tr class="separator:a5409f0900d8c8d5bcb5450cff8eb49c6 inherit pub_static_attribs_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structdlib_1_1basic__op__m"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structdlib_1_1basic__op__m')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structdlib_1_1basic__op__m.html">dlib::basic_op_m&lt; M &gt;</a></td></tr>
<tr class="memitem:ac7b634a824c92ff33fe03d2bb39c9d9f inherit pub_attribs_structdlib_1_1basic__op__m"><td class="memItemLeft" align="right" valign="top"><a id="ac7b634a824c92ff33fe03d2bb39c9d9f"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:ac7b634a824c92ff33fe03d2bb39c9d9f inherit pub_attribs_structdlib_1_1basic__op__m"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
